com.creamtec.ajaxswing.v4.utils

## Class ImageUtils

- java.lang.Object
- - com.creamtec.ajaxswing.v4.utils.ImageUtils

-     public class ImageUtils
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImageUtils(HTMLPage page)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `canDelete(java.lang.String fileName)`
    `static long` | `copy(java.io.InputStream input, java.io.OutputStream output)`
    `static void` | `copyURLToFile(java.net.URL source, java.io.File destination)`
    `java.awt.Image` | `getImagePart(java.awt.Image img, int sx1, int sy1, int sx2, int sy2, java.awt.image.ImageObserver observer)`
    `java.lang.String` | `getImageUrl(java.awt.Image image, boolean keepUntilRestart)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ImageUtils

          public ImageUtils(HTMLPage page)

  - ### Method Detail

    - #### canDelete

          public static boolean canDelete(java.lang.String fileName)

    - #### copy

          public static long copy(java.io.InputStream input,
                  java.io.OutputStream output)
                           throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### copyURLToFile

          public static void copyURLToFile(java.net.URL source,
                           java.io.File destination)
                                    throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getImagePart

          public java.awt.Image getImagePart(java.awt.Image img,
                                    int sx1,
                                    int sy1,
                                    int sx2,
                                    int sy2,
                                    java.awt.image.ImageObserver observer)

    - #### getImageUrl

          public java.lang.String getImageUrl(java.awt.Image image,
                                     boolean keepUntilRestart)

Copyright © 2000-2012 CreamTec LLC. All Rights Reserved.